Package org.springframework.security.core.context

# Interface DeferredSecurityContext

All Superinterfaces:
  `Supplier<SecurityContext>`

public interface DeferredSecurityContext extends Supplier<SecurityContext>
An interface that allows delayed access to a `SecurityContext` that may be generated.

Since:
  5.8

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isGenerated()`
Returns true if `Supplier.get()` refers to a generated `SecurityContext` or false if it already existed.

### Methods inherited from interface java.util.function.Supplier

`get`

## Method Details

### isGenerated

boolean isGenerated()
Returns true if `Supplier.get()` refers to a generated `SecurityContext` or false if it already existed.

Returns:
  true if `Supplier.get()` refers to a generated `SecurityContext` or false if it already existed